# Settings Window

## Build and Run Server

The **coherence** Settings window is located in `Project Settings -> coherence` and lets you launch a local replication server, upload your server to the cloud via the access token and bakes your Schemas for more optimized data transfer of Networked GameObjects.

![](/files/UjfocQWb0Bea46Ae5Bxz)

**Bake Schemas**

When CoherenceSync variables/components are sent over the network, C# reflection is used to sync all the data at runtime. Whilst this is really useful for prototyping quickly and getting things working, it can be quite slow and poorly performing. A way to combat this is to bake the CoherenceSync component into a Schema.

The Schema is a text file that defines which data types in your project are synced over the network. It is the source from which **coherence** SDK generates C# struct types (and helper functions) that are used by the rest of your game. The **coherence** Replication Server also reads the Schema file to know about those types and to communicate them with all of its clients efficiently.

The Schema must be baked in the **coherence** Settings window, before the check box to bake this prefab can be clicked.

When the CoherenceSync component is baked, it generates `CoherenceSync<NameOfPrefab>.cs`.

**Bake Output Folder**

Defines where to store the baked Schema files.

**Portal**

Upload your Schema files to your server.

* Status - Current Status of your cloud server
* Token - Cloud token&#x20;

**Local Replication Server**

Run a local replication server.

* Port - The port access
* Frequency - Frequency of server.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/0.7.4/api-reference/network-sdk/settings-window.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
